// ExButtonView.cpp : implementation of the CExButtonView class
//

#include "stdafx.h"
#include "ExButton.h"

#include "ExButtonDoc.h"
#include "ExButtonView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CExButtonView

IMPLEMENT_DYNCREATE(CExButtonView, CView)

BEGIN_MESSAGE_MAP(CExButtonView, CView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, &CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, &CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, &CView::OnFilePrintPreview)
	ON_WM_CREATE()
	ON_BN_CLICKED(101, OnButtonClicked)
END_MESSAGE_MAP()

// CExButtonView construction/destruction

CExButtonView::CExButtonView()
{
	// TODO: add construction code here

}

CExButtonView::~CExButtonView()
{
}

BOOL CExButtonView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CExButtonView drawing

void CExButtonView::OnDraw(CDC* /*pDC*/)
{
	CExButtonDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;

	// TODO: add draw code for native data here
}


// CExButtonView printing

BOOL CExButtonView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CExButtonView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CExButtonView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


// CExButtonView diagnostics

#ifdef _DEBUG
void CExButtonView::AssertValid() const
{
	CView::AssertValid();
}

void CExButtonView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CExButtonDoc* CExButtonView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CExButtonDoc)));
	return (CExButtonDoc*)m_pDocument;
}
#endif //_DEBUG


// CExButtonView message handlers
int CExButtonView::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
    if (CView::OnCreate(lpCreateStruct) == -1)    
		return -1;

	m_pushbutton.Create("Push Button", WS_CHILD|WS_VISIBLE|BS_PUSHBUTTON,
		CRect(20, 20, 150, 50), this, 101);
	m_checkbox.Create("Check Box", WS_CHILD|WS_VISIBLE|BS_AUTOCHECKBOX,
		CRect(20, 70, 150, 100), this, 102);
	m_radio1.Create("Radio Button 1", WS_CHILD|WS_VISIBLE|WS_GROUP|BS_AUTORADIOBUTTON,
		CRect(20, 140, 150, 170), this, 103);
	m_radio2.Create("Radio Button 2", WS_CHILD|WS_VISIBLE|BS_AUTORADIOBUTTON,
		CRect(20, 180, 150, 210), this, 104);
	m_groupbox.Create("Group Box", WS_CHILD|WS_VISIBLE|BS_GROUPBOX,
		CRect(10, 110, 160, 220), this, 105);

	m_checkbox.SetCheck(BST_CHECKED);
	m_radio1.SetCheck(BST_CHECKED);
	
	return 0;
}

void CExButtonView::OnButtonClicked()
{
    BOOL bCheckBox, bRadio1, bRadio2;
    bCheckBox = bRadio1 = bRadio2 = FALSE;

    if(m_checkbox.GetCheck() == BST_CHECKED)
        bCheckBox = TRUE;
    if(m_radio1.GetCheck() == BST_CHECKED)
        bRadio1 = TRUE;
    if(m_radio2.GetCheck() == BST_CHECKED)
        bRadio2 = TRUE;

    CString str1, str2, str3;
    if(bCheckBox) str1 = "üũ ڽ on";
    else str1 = "üũ ڽ off";

    if(bRadio1) str2 = " ư1 on";
    else str2 = " ư1 off";

    if(bRadio2) str3 = " ư2 on";
    else str3 = " ư2 off";

    MessageBox(str1 + '\n' + str2 + '\n' + str3);
}
