// ExButtonView.h : interface of the CExButtonView class
//


#pragma once


class CExButtonView : public CView
{
protected: // create from serialization only
	CExButtonView();
	DECLARE_DYNCREATE(CExButtonView)

// Attributes
public:
	CExButtonDoc* GetDocument() const;
	CButton m_pushbutton;
	CButton m_checkbox;
	CButton m_radio1;
	CButton m_radio2;
	CButton m_groupbox;

// Operations
public:

// Overrides
public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CExButtonView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	void OnButtonClicked();

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
};

#ifndef _DEBUG  // debug version in ExButtonView.cpp
inline CExButtonDoc* CExButtonView::GetDocument() const
   { return reinterpret_cast<CExButtonDoc*>(m_pDocument); }
#endif

